module TextMarquee
  class Engine < ::Rails::Engine
    initializer "text_marquee" do
	    OrbitApp.registration "TextMarquee", :type => "ModuleApp" do
	        module_label "text_marquee.text_marquee"
	        base_url File.expand_path File.dirname(__FILE__)
	        widget_methods ["widget"]
	        widget_settings [{"override_category_with"=>"marquee","multiselect"=>false,"display_field"=>"title"}]
	        taggable "Marquee"
	        categorizable
	        authorizable
	        side_bar do
          		head_label_i18n "text_marquee.text_marquee", icon_class: "icons-sound"
          		available_for "users"
          		active_for_controllers (['admin/text_marquees'])
          		head_link_path "admin_text_marquees_path"

          		context_link 'text_marquee.all',
                    :link_path=>"admin_text_marquees_path" ,
                    :priority=>1,
                    :active_for_action=>{'admin/text_marquees'=>'index'},
                    :available_for => 'users'

              context_link 'categories',
                		:link_path=>"admin_module_app_categories_path" ,
                		:link_arg=>"{:module_app_id=>ModuleApp.find_by(:key=>'text_marquee').id}",
                		:priority=>3,
                		:active_for_action=>{'admin/text_marquees'=>'categories'},
                		:active_for_category => 'TextMarquee',
                		:available_for => 'managers'
			end
		end
    end
  end
end
